glibmm: Glib::Object Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Related Functions | List of all members
Glib::Object Class Reference

`#include <glibmm/object.h>`

Inherits Glib::ObjectBase.

Inherited by Gio::AppLaunchContext, Gio::Application, Gio::ApplicationCommandLine, Gio::Cancellable, Gio::CharsetConverter, Gio::Credentials, Gio::DBus::ActionGroup, Gio::DBus::AuthObserver, Gio::DBus::Connection, Gio::DBus::InterfaceSkeleton, Gio::DBus::Message, Gio::DBus::MethodInvocation, Gio::DBus::Proxy, Gio::DBus::Server, Gio::DesktopAppInfo, Gio::Emblem, Gio::EmblemedIcon, Gio::FileEnumerator, Gio::FileIcon, Gio::FileInfo, Gio::FileMonitor, Gio::FilenameCompleter, Gio::InetAddress, Gio::InputStream, Gio::IOStream, Gio::MenuAttributeIter, Gio::MenuItem, Gio::MenuLinkIter, Gio::MenuModel, Gio::MountOperation, Gio::NetworkAddress, Gio::NetworkService, Gio::OutputStream, Gio::Resolver, Gio::Settings, Gio::SimpleAction, Gio::SimpleActionGroup, Gio::Socket, Gio::SocketAddress, Gio::SocketAddressEnumerator, Gio::SocketClient, Gio::SocketControlMessage, Gio::SocketListener, Gio::ThemedIcon, Gio::TlsCertificate, Gio::TlsDatabase, Gio::TlsInteraction, Gio::TlsPassword, Gio::UnixFDList, Gio::VolumeMonitor, Gio::ZlibCompressor, and Gio::ZlibDecompressor.

## Public Types
typedef void(* | DestroyNotify )(gpointer data)

## Public Member Functions
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase&value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase&value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType&value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType&value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...

## Protected Member Functions
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)

## Member Typedef Documentation

typedef void(* Glib::Object::DestroyNotify)(gpointer data)

## Constructor & Destructor Documentation

Glib::Object::Object | ( |  | ) |
| protected

Glib::Object::Object | ( | const Glib::ConstructParams & | construct_params | ) |
| explicitprotected

Glib::Object::Object | ( | GObject * | castitem | ) |
| explicitprotected

virtual Glib::Object::~Object | ( |  | ) |
| protectedvirtual

## Member Function Documentation

void* Glib::Object::get_data | ( | const QueryQuark& | key | ) |

void Glib::Object::remove_data | ( | const QueryQuark& | quark | ) |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void * | data
| ) |  |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void * | data,
|  | DestroyNotify | notify
| ) |  |

void* Glib::Object::steal_data | ( | const QueryQuark& | quark | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Glib::Object > wrap | ( | GObject * | object,
|  | bool | take_copy = `false`
| ) |  |
| related